Affecting RC4 is no longer supported on Nightly and Developer Edition

Published: | Categories: Privacy & Security

Description

Mozilla and other major browser vendors have agreed to stop supporting the insecure RC4 cipher suites, deprecated since Firefox 36, finally in early . As per the deprecation plan, the whitelist allowing certain sites to use RC4 has been disabled on Firefox Nightly and Developer Edition.

Starting with Firefox 44, the RC4 support will be disabled by default on all channels. Web servers must be upgraded as soon as possible to use stronger cipher suites.

References